=== debian/changelog ===
eureka (1.00-2) unstable; urgency=low

  * Really fix linking by adding (-lm and) -lz to the LIBS variable,
    thanks Aaron M. Ucko (Closes: #721576).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Sat, 07 Sep 2013 20:52:47 +0200

eureka (1.00-1) unstable; urgency=low

  * New upstream version.
  * Refresh patches.
  * Drop erroneous overriding of the LIBS variable (Closes: #721576).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 27 Aug 2013 09:22:52 +0200

eureka (0.95-1) unstable; urgency=low

  * Initial release (Closes: #717077).
  * Do not install desktop file and icon system-wide in Makefile.
  * Add rudimentary manpage with the help of help2man.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 16 Jul 2013 14:52:56 +0200
