=== debian/control ===
Source: eureka
Section: utils
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends:
 debhelper (>= 9),
 libfltk1.3-dev,
 zlib1g-dev | libz-dev
Standards-Version: 3.9.4
Homepage: http://eureka-editor.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eureka.git
Vcs-Git: git://anonscm.debian.org/pkg-games/eureka.git

Package: eureka
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: freedoom | game-data-packager | boom-wad | doom-wad
Description: map editor for the classic DOOM games
 Eureka is a cross-platform map editor for the classic DOOM games.
 It started as a fork of the Yadex editor attempting to make it use the
 FLTK GUI toolkit and implement multiple Undo / Redo.
 .
 Supported games include DOOM, DOOM 2, Final Doom, FreeDoom, HacX and Heretic.
 Supported source ports are Boom, EDGE, Doom Legacy and Odamex.
