=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed -Wl,-z,defs
export DEB_CXXFLAGS_MAINT_APPEND = $(shell fltk-config --use-images --cxxflags)
LIBS  = $(shell fltk-config --ldflags --use-gl --use-images)
LIBS += -lm -lz

%:
	dh $@

override_dh_auto_build:
	mkdir -p obj_linux/glbsp
	dh_auto_build -- \
		INSTALL_PREFIX=/usr \
		OPTIMISE="$(CPPFLAGS) $(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		LIBS="$(LIBS)"

override_dh_auto_install:
	install -d $(CURDIR)/debian/eureka/usr/bin
	dh_auto_install -- \
		INSTALL_PREFIX=$(CURDIR)/debian/eureka/usr

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_installdocs:
	dh_installdocs AUTHORS.txt README.txt

override_dh_installman:
	dh_installman debian/eureka.1
