=== debian/watch ===
version=3

http://sf.net/eureka/eureka-(.*)\.tar\.gz
