## eureka 1.07

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,13 @@
 PROGRAM=eureka
 
 # prefix choices: /usr  /usr/local  /opt
-INSTALL_PREFIX=/usr/local
+PREFIX=/usr/local
 
 OBJ_DIR=obj_linux
 
-OPTIMISE=-O0 -g3 -fno-strict-aliasing
+OPTIMISE=-O2 -fno-strict-aliasing
+
+STRIP_FLAGS=--strip-unneeded
 
 # operating system choices: UNIX WIN32
 OS=UNIX
@@ -19,7 +21,7 @@
 
 #--- Internal stuff from here -----------------------------------
 
-INSTALL_DIR=$(INSTALL_PREFIX)/share/eureka
+INSTALL_DIR=$(PREFIX)/share/eureka
 
 CXXFLAGS=$(OPTIMISE) -Wall -D$(OS)  \
          -Iglbsp_src  \
@@ -36,7 +38,8 @@
 # support for a non-standard install of FLTK
 ifneq ($(FLTK_PREFIX),)
 CXXFLAGS += -I$(FLTK_PREFIX)/include
-LDFLAGS += -L$(FLTK_PREFIX)/lib -Wl,-rpath,$(FLTK_PREFIX)/lib
+LDFLAGS += -L$(FLTK_PREFIX)/lib
+  ## -Wl,-rpath,$(FLTK_PREFIX)/lib
 endif
 
 # support for statically linking FLTK (no GL, local JPEG and PNG)
@@ -44,8 +47,8 @@
 LIBS= \
      -lfltk_images -lfltk  \
      -lfltk_png -lfltk_jpeg \
-     -lX11 -lXext -lXft -lfontconfig -lXinerama \
-     -lz -lm
+     -lX11 -lXext -lXft -lfontconfig -lXfixes -lXcursor \
+     -lfltk_z -ldl -lm
 endif
 
 
@@ -82,11 +85,11 @@
 	$(OBJ_DIR)/objects.o  \
 	$(OBJ_DIR)/r_grid.o  \
 	$(OBJ_DIR)/r_render.o  \
-	$(OBJ_DIR)/selectn.o  \
 	$(OBJ_DIR)/sys_debug.o \
 	$(OBJ_DIR)/ui_about.o  \
 	$(OBJ_DIR)/ui_browser.o  \
 	$(OBJ_DIR)/ui_canvas.o  \
+	$(OBJ_DIR)/ui_default.o  \
 	$(OBJ_DIR)/ui_dialog.o  \
 	$(OBJ_DIR)/ui_file.o  \
 	$(OBJ_DIR)/ui_hyper.o  \
@@ -98,6 +101,7 @@
 	$(OBJ_DIR)/ui_nodes.o  \
 	$(OBJ_DIR)/ui_pic.o  \
 	$(OBJ_DIR)/ui_prefs.o  \
+	$(OBJ_DIR)/ui_replace.o  \
 	$(OBJ_DIR)/ui_sector.o  \
 	$(OBJ_DIR)/ui_scroll.o  \
 	$(OBJ_DIR)/ui_sidedef.o  \
@@ -105,11 +109,6 @@
 	$(OBJ_DIR)/ui_tile.o   \
 	$(OBJ_DIR)/ui_vertex.o  \
 	$(OBJ_DIR)/ui_window.o  \
-	$(OBJ_DIR)/vm_builtin.o  \
-	$(OBJ_DIR)/vm_compile.o  \
-	$(OBJ_DIR)/vm_execute.o  \
-	$(OBJ_DIR)/vm_object.o  \
-	$(OBJ_DIR)/vm_lex.o  \
 	$(OBJ_DIR)/w_loadpic.o  \
 	$(OBJ_DIR)/w_flats.o  \
 	$(OBJ_DIR)/w_sprite.o  \
@@ -156,18 +155,17 @@
 	$(CXX) $^ -o $@ $(LDFLAGS) $(LIBS)
 
 stripped: $(PROGRAM)
-	strip --strip-unneeded $(PROGRAM)
+	strip $(STRIP_FLAGS) $(PROGRAM)
 
 install: stripped
-	install -o root -m 755 $(PROGRAM) $(INSTALL_PREFIX)/bin/
+	install -o root -m 755 $(PROGRAM) $(PREFIX)/bin/
 	install -d $(INSTALL_DIR)/games
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
 	install -d $(INSTALL_DIR)/mods
 	install -d $(INSTALL_DIR)/ups
-	install -o root -m 644 misc/bindings.cfg $(INSTALL_DIR)/bindings.cfg
+	install -o root -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
 	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
-	install -o root -m 644 misc/core_defs.up $(INSTALL_DIR)/core_defs.up
 	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
 	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
 	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
@@ -177,7 +175,7 @@
 	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm
 
 uninstall:
-	rm -v $(INSTALL_PREFIX)/bin/$(PROGRAM)
+	rm -v $(PREFIX)/bin/$(PROGRAM)
 	rm -Rv $(INSTALL_DIR) 
 	xdg-desktop-menu  uninstall --novendor misc/eureka.desktop
 	xdg-icon-resource uninstall --novendor --size 32 eureka
