=== debian/changelog ===
eureka (1.07-1) unstable; urgency=medium

  * Imported Upstream version 1.07.
    + Supports loading a read-only file (Closes: #751603).
    + Fixes "array subscript is above array bounds" warnings.
  * Refresh xdg-install.patch and add DEP-3 header.
  * Adapt dh_auto_install rule to upstream's INSTALL_PREFIX --> PREFIX change.
  * Install upstream's manpage instead of our own.
  * Update debian/copyright.
  * Make builds reproducible.
  * Bump Standards-Version to 3.9.6.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 27 Apr 2015 09:28:29 +0200

eureka (1.00-3) unstable; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Fix debian/watch file.

  [ Vincent Cheng ]
  * Update Standards version to 3.9.5, no changes required.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 05 May 2014 10:35:57 +0200
