=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 9),
  libfltk1.3-dev,
  zlib1g-dev | libz-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://eureka-editor.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eureka.git
 Vcs-Git: git://anonscm.debian.org/pkg-games/eureka.git
