## eureka 1.11

=== Makefile ===
--- 
+++ 
@@ -38,8 +38,7 @@
 # support for a non-standard install of FLTK
 ifneq ($(FLTK_PREFIX),)
 CXXFLAGS += -I$(FLTK_PREFIX)/include
-LDFLAGS += -L$(FLTK_PREFIX)/lib
-  ## -Wl,-rpath,$(FLTK_PREFIX)/lib
+LDFLAGS += -L$(FLTK_PREFIX)/lib -Wl,-rpath,$(FLTK_PREFIX)/lib
 endif
 
 # support for statically linking FLTK (no GL, local JPEG and PNG)
@@ -47,8 +46,8 @@
 LIBS= \
      -lfltk_images -lfltk  \
      -lfltk_png -lfltk_jpeg \
-     -lX11 -lXext -lXft -lfontconfig -lXfixes -lXcursor \
-     -lfltk_z -ldl -lm
+     -lX11 -lXext -lXft -lfontconfig -lXinerama \
+     -lz -lm
 endif
 
 
@@ -163,14 +162,13 @@
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
 	install -d $(INSTALL_DIR)/mods
-	install -d $(INSTALL_DIR)/ups
+	rm -f $(INSTALL_DIR)/games/freedoom.ugh
 	install -o root -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
 	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
 	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
 	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
 	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
 #	install -o root -m 644 mods/*.*  $(INSTALL_DIR)/mods
-#	install -o root -m 644 ups/*.*  $(INSTALL_DIR)/ups
 	xdg-desktop-menu  install --novendor misc/eureka.desktop
 	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm
