=== debian/changelog ===
eureka (1.11-2) unstable; urgency=medium

  * Remove the debian/eureka.menu file.
  * Mangle the Debian version to follow upstream and remove the point.
  * Do not create "truncated" blockmaps. Instead, leave the BLOCKMAP lump
    as empty, to allow source ports with internal blockmap generators to
    generate one. Patch from upstream GIT.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 07 Feb 2016 17:34:14 +0100

eureka (1.11-1) unstable; urgency=medium

  * Imported Upstream version 1.11
  * Remove eureka-desktop.patch, fixed upstream.
    Refresh the other two patches.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Jan 2016 15:30:13 +0100

eureka (1.07-2) unstable; urgency=medium

  * Updated eureka.desktop file with:
    1. %f on Exec line and a MimeType line, so can handle wad files from
       file-system exploring/navigation programs
    2. replaced "X-DoomEditor" category with "ActionGame"
    3. added Keywords line

 -- Fabian Greffrath <fabian@debian.org>  Mon, 21 Sep 2015 16:48:57 +0200
