=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
+Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
  debhelper (>= 9),
  libfltk1.3-dev,
