=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 override_dh_auto_install:
 	install -d $(CURDIR)/debian/eureka/usr/bin
 	dh_auto_install -- \
-		INSTALL_PREFIX=$(CURDIR)/debian/eureka/usr
+		PREFIX=$(CURDIR)/debian/eureka/usr
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.txt
@@ -28,4 +28,4 @@
 	dh_installdocs AUTHORS.txt README.txt
 
 override_dh_installman:
-	dh_installman debian/eureka.1
+	dh_installman misc/eureka.6
