## eureka 1.21

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,6 @@
 INSTALL_DIR=$(PREFIX)/share/eureka
 
 CXXFLAGS=$(OPTIMISE) -Wall -D$(OS)  \
-         -Iglbsp_src  \
          -D_THREAD_SAFE -D_REENTRANT
 
 LDFLAGS=-L/usr/X11R6/lib
@@ -54,34 +53,36 @@
 #----- Object files ----------------------------------------------
 
 OBJS = \
-	$(OBJ_DIR)/editloop.o  \
 	$(OBJ_DIR)/e_basis.o   \
 	$(OBJ_DIR)/e_checks.o   \
-	$(OBJ_DIR)/e_checks2.o   \
+	$(OBJ_DIR)/e_commands.o  \
 	$(OBJ_DIR)/e_cutpaste.o  \
+	$(OBJ_DIR)/e_hover.o  \
 	$(OBJ_DIR)/e_linedef.o   \
-	$(OBJ_DIR)/e_loadsave.o  \
-	$(OBJ_DIR)/e_nodes.o  \
+	$(OBJ_DIR)/e_main.o  \
+	$(OBJ_DIR)/e_objects.o  \
 	$(OBJ_DIR)/e_path.o  \
 	$(OBJ_DIR)/e_sector.o  \
 	$(OBJ_DIR)/e_things.o  \
 	$(OBJ_DIR)/e_vertex.o  \
-	$(OBJ_DIR)/im_arrows.o  \
 	$(OBJ_DIR)/im_color.o  \
 	$(OBJ_DIR)/im_img.o   \
-	$(OBJ_DIR)/levels.o  \
 	$(OBJ_DIR)/lib_adler.o  \
 	$(OBJ_DIR)/lib_file.o  \
+	$(OBJ_DIR)/lib_tga.o   \
 	$(OBJ_DIR)/lib_util.o  \
 	$(OBJ_DIR)/main.o  \
 	$(OBJ_DIR)/m_bitvec.o  \
 	$(OBJ_DIR)/m_config.o  \
+	$(OBJ_DIR)/m_events.o  \
 	$(OBJ_DIR)/m_files.o  \
 	$(OBJ_DIR)/m_game.o  \
 	$(OBJ_DIR)/m_keys.o  \
+	$(OBJ_DIR)/m_loadsave.o  \
+	$(OBJ_DIR)/m_nodes.o  \
 	$(OBJ_DIR)/m_select.o  \
 	$(OBJ_DIR)/m_strings.o  \
-	$(OBJ_DIR)/objects.o  \
+	$(OBJ_DIR)/m_testmap.o  \
 	$(OBJ_DIR)/r_grid.o  \
 	$(OBJ_DIR)/r_render.o  \
 	$(OBJ_DIR)/sys_debug.o \
@@ -97,7 +98,6 @@
 	$(OBJ_DIR)/ui_menu.o  \
 	$(OBJ_DIR)/ui_misc.o  \
 	$(OBJ_DIR)/ui_nombre.o  \
-	$(OBJ_DIR)/ui_nodes.o  \
 	$(OBJ_DIR)/ui_pic.o  \
 	$(OBJ_DIR)/ui_prefs.o  \
 	$(OBJ_DIR)/ui_replace.o  \
@@ -109,36 +109,15 @@
 	$(OBJ_DIR)/ui_vertex.o  \
 	$(OBJ_DIR)/ui_window.o  \
 	$(OBJ_DIR)/w_loadpic.o  \
-	$(OBJ_DIR)/w_flats.o  \
-	$(OBJ_DIR)/w_sprite.o  \
 	$(OBJ_DIR)/w_texture.o  \
 	$(OBJ_DIR)/w_wad.o   \
-	$(OBJ_DIR)/x_hover.o  \
-	$(OBJ_DIR)/x_loop.o  \
-	$(OBJ_DIR)/x_mirror.o
+	\
+	$(OBJ_DIR)/bsp_level.o \
+	$(OBJ_DIR)/bsp_node.o \
+	$(OBJ_DIR)/bsp_util.o
 
 $(OBJ_DIR)/%.o: src/%.cc
 	$(CXX) $(CXXFLAGS) -o $@ -c $<
-
-
-#----- glBSP Objects ------------------------------------------------
-
-GLBSP_OBJS= \
-	$(OBJ_DIR)/glbsp/analyze.o  \
-	$(OBJ_DIR)/glbsp/blockmap.o \
-	$(OBJ_DIR)/glbsp/glbsp.o    \
-	$(OBJ_DIR)/glbsp/level.o    \
-	$(OBJ_DIR)/glbsp/node.o     \
-	$(OBJ_DIR)/glbsp/reject.o   \
-	$(OBJ_DIR)/glbsp/seg.o      \
-	$(OBJ_DIR)/glbsp/system.o   \
-	$(OBJ_DIR)/glbsp/util.o     \
-	$(OBJ_DIR)/glbsp/wad.o
-
-GLBSP_CXXFLAGS=$(OPTIMISE) -Wall -DINLINE_G=inline
-
-$(OBJ_DIR)/glbsp/%.o: glbsp_src/%.cc
-	$(CXX) $(GLBSP_CXXFLAGS) -o $@ -c $< 
 
 
 #----- Targets -----------------------------------------------
@@ -147,10 +126,9 @@
 
 clean:
 	rm -f $(PROGRAM) $(OBJ_DIR)/*.* core core.*
-	rm -f $(OBJ_DIR)/glbsp/*.*
 	rm -f ERRS LOG.txt update.log
 
-$(PROGRAM): $(OBJS) $(GLBSP_OBJS)
+$(PROGRAM): $(OBJS)
 	$(CXX) $^ -o $@ $(LDFLAGS) $(LIBS)
 
 stripped: $(PROGRAM)
@@ -161,20 +139,20 @@
 	install -d $(INSTALL_DIR)/games
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
-	install -d $(INSTALL_DIR)/mods
 	rm -f $(INSTALL_DIR)/games/freedoom.ugh
 	install -o root -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
+	install -o root -m 644 defaults.cfg $(INSTALL_DIR)/defaults.cfg
+	install -o root -m 644 operations.cfg $(INSTALL_DIR)/operations.cfg
 	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
 	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
 	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
 	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
-#	install -o root -m 644 mods/*.*  $(INSTALL_DIR)/mods
 	xdg-desktop-menu  install --novendor misc/eureka.desktop
 	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm
 
 uninstall:
 	rm -v $(PREFIX)/bin/$(PROGRAM)
-	rm -Rv $(INSTALL_DIR) 
+	rm -Rv $(INSTALL_DIR)
 	xdg-desktop-menu  uninstall --novendor misc/eureka.desktop
 	xdg-icon-resource uninstall --novendor --size 32 eureka
