=== debian/changelog ===
eureka (1.21-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compat to 10.
  * Backport a patch from upstream GIT to
    fix a regression with sector merging.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 24 Jun 2017 14:11:41 +0200

eureka (1.21-1) experimental; urgency=medium

  * New upstream version 1.21
  * Refresh patches.
  * Remove 0001 patch, applied upstream.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Bump Standards-Version to 3.9.8.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 08 Mar 2017 21:56:18 +0100
