=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  libfltk1.3-dev,
  zlib1g-dev | libz-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://eureka-editor.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eureka.git
-Vcs-Git: git://anonscm.debian.org/pkg-games/eureka.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/eureka.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/eureka.git
 
 Package: eureka
 Architecture: any
