=== debian/watch ===
version=3

opts="uversionmangle=s/-source//, dversionmangle=s/\.//" \
http://sf.net/eureka-editor/eureka-(.*)\.tar\.gz
