## eureka 1.24

=== Makefile ===
--- 
+++ 
@@ -11,20 +11,16 @@
 
 OBJ_DIR=obj_linux
 
-OPTIMISE=-O2 -fno-strict-aliasing
+# CXX=clang++-6.0
 
+WARNINGS=-Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
+OPTIMISE=-O2 -std=c++03 -fno-strict-aliasing -fwrapv
 STRIP_FLAGS=--strip-unneeded
-
-# operating system choices: UNIX WIN32
-OS=UNIX
 
 
 #--- Internal stuff from here -----------------------------------
 
-INSTALL_DIR=$(PREFIX)/share/eureka
-
-CXXFLAGS=$(OPTIMISE) -Wall -D$(OS)  \
-         -D_THREAD_SAFE -D_REENTRANT
+CXXFLAGS=$(OPTIMISE) $(WARNINGS) -D_THREAD_SAFE -D_REENTRANT
 
 LDFLAGS=-L/usr/X11R6/lib
 
@@ -32,6 +28,8 @@
      -lfltk_images -lfltk_gl -lfltk  \
      -lX11 -lXext -lXft -lfontconfig -lXinerama  \
      -lpng -ljpeg -lGL -lz -lm
+
+DUMMY=$(OBJ_DIR)/zzdummy
 
 
 # support for a non-standard install of FLTK
@@ -74,6 +72,7 @@
 	$(OBJ_DIR)/main.o  \
 	$(OBJ_DIR)/m_bitvec.o  \
 	$(OBJ_DIR)/m_config.o  \
+	$(OBJ_DIR)/m_editlump.o  \
 	$(OBJ_DIR)/m_events.o  \
 	$(OBJ_DIR)/m_files.o  \
 	$(OBJ_DIR)/m_game.o  \
@@ -91,6 +90,7 @@
 	$(OBJ_DIR)/ui_canvas.o  \
 	$(OBJ_DIR)/ui_default.o  \
 	$(OBJ_DIR)/ui_dialog.o  \
+	$(OBJ_DIR)/ui_editor.o  \
 	$(OBJ_DIR)/ui_file.o  \
 	$(OBJ_DIR)/ui_hyper.o  \
 	$(OBJ_DIR)/ui_infobar.o  \
@@ -122,20 +122,30 @@
 
 #----- Targets -----------------------------------------------
 
-all: $(PROGRAM)
+all: $(DUMMY) $(PROGRAM)
 
 clean:
-	rm -f $(PROGRAM) $(OBJ_DIR)/*.* core core.*
-	rm -f ERRS LOG.txt update.log
+	rm -f $(PROGRAM) $(OBJ_DIR)/*.[oa]
+	rm -f ERRS LOG.txt update.log core core.*
 
 $(PROGRAM): $(OBJS)
 	$(CXX) $^ -o $@ $(LDFLAGS) $(LIBS)
 
-stripped: $(PROGRAM)
+# this is used to create the OBJ_DIR directory
+$(DUMMY):
+	mkdir -p $(OBJ_DIR)
+	@touch $@
+
+stripped: all
 	strip $(STRIP_FLAGS) $(PROGRAM)
 
+# note that DESTDIR is usually left undefined, and is mainly
+# useful when making packages for Debian/RedHat/etc...
+
+INSTALL_DIR=$(DESTDIR)$(PREFIX)/share/eureka
+
 install: stripped
-	install -o root -m 755 $(PROGRAM) $(PREFIX)/bin/
+	install -o root -m 755 $(PROGRAM) $(DESTDIR)$(PREFIX)/bin/
 	install -d $(INSTALL_DIR)/games
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
@@ -147,16 +157,22 @@
 	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
 	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
 	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
+
+full-install: install
 	xdg-desktop-menu  install --novendor misc/eureka.desktop
 	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm
 
 uninstall:
-	rm -v $(PREFIX)/bin/$(PROGRAM)
+	rm -v $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
 	rm -Rv $(INSTALL_DIR)
+
+full-uninstall: uninstall
 	xdg-desktop-menu  uninstall --novendor misc/eureka.desktop
 	xdg-icon-resource uninstall --novendor --size 32 eureka
 
-.PHONY: all clean stripped install uninstall
+.PHONY: all clean stripped
+
+.PHONY: install uninstall full-install full-uninstall
 
 #--- editor settings ------------
 # vi:ts=8:sw=8:noexpandtab
