=== debian/changelog ===
eureka (1.24-1) unstable; urgency=medium

  * New upstream version 1.24
    + Fixed raising Eureka window when other windows have KB focus
      (Closes: #883431).
    + Preferences: a setting to show sidedef ADD / DEL buttons
      (Closes: #897435).
  * Update Vcs-* fields to point to the salsa repository.
  * Remove patches backported from or resolved upstream.
  * Properly set PREFIX and DESTDIR variables during build and install rules.
  * Enable all hardening flags.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.5.
  * Use secure debian/copyright format URI.
  * Add some more packages to Build-Depends,
    as required by the upstream Makefile.
  * Create /usr/bin directory in debian/eureka.dirs.
  * Do not override more build flags than necessary.
  * Install VIM syntax addon.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 10 Aug 2018 19:29:39 +0200
