=== debian/control ===
--- 
+++ 
@@ -4,13 +4,19 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 11~),
  libfltk1.3-dev,
+ libfontconfig1-dev,
+ libgl1-mesa-dev,
+ libjpeg-dev,
+ libxext-dev,
+ libxft-dev,
+ libxinerama-dev,
  zlib1g-dev | libz-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.5
 Homepage: http://eureka-editor.sourceforge.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/eureka.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/eureka.git
+Vcs-Browser: https://salsa.debian.org/games-team/eureka
+Vcs-Git: https://salsa.debian.org/games-team/eureka.git
 
 Package: eureka
 Architecture: any
