=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		OPTIMISE="$(CPPFLAGS) $(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- \
		DESTDIR=$(CURDIR)/debian/eureka \
		PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_installdocs:
	dh_installdocs AUTHORS.txt README.txt

override_dh_installman:
	dh_installman misc/eureka.6
