## eureka 1.27

=== Makefile ===
--- 
+++ 
@@ -1,51 +1,53 @@
 #
 #  --- Eureka Editor ---
 #
-#  Makefile for Unixy system-wide install
+#  Makefile for Unixy system-wide install.
+#  Requires GNU make.
 #
 
 PROGRAM=eureka
 
 # prefix choices: /usr  /usr/local  /opt
-PREFIX=/usr/local
+PREFIX ?= /usr/local
+
+# CXX=clang++-6.0
+
+# flags controlling the dialect of C++
+# [ the code is old-school C++ without modern features ]
+CXX_DIALECT=-std=c++03 -fno-strict-aliasing -fwrapv
+
+WARNINGS=-Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
+OPTIMISE=-O2 -g
+STRIP_FLAGS=--strip-unneeded
+
+# default flags for compiler, preprocessor and linker
+CXXFLAGS ?= $(OPTIMISE) $(WARNINGS)
+CPPFLAGS ?=
+LDFLAGS ?= $(OPTIMISE)
+LIBS ?=
+
+# general things needed by Eureka
+CXXFLAGS += $(CXX_DIALECT)
+LIBS += -lGLU -lGL
+LIBS += -lz -lm
+
+# add this for software rendering, remove '--use-gl' below, remove -lGL and -lGLU from LIBS
+# CXXFLAGS += -DNO_OPENGL
+
+# FLTK flags (this assumes a system-wide FLTK installation)
+FLTK_CONFIG ?= fltk-config
+
+CXXFLAGS += $(shell $(FLTK_CONFIG) --use-images --use-gl --cxxflags)
+LDFLAGS  += $(shell $(FLTK_CONFIG) --use-images --use-gl  --ldflags)
+
+# NOTE: the following is commented out since it does not work as expected.
+#       the --libs option gives us static libraries, but --ldflags option
+#       gives us dynamic libraries (and we use --ldflags above).
+# LIBS += $(shell fltk-config --use-images --libs)
 
 OBJ_DIR=obj_linux
 
-# CXX=clang++-6.0
-
-WARNINGS=-Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
-OPTIMISE=-O2 -std=c++03 -fno-strict-aliasing -fwrapv
-STRIP_FLAGS=--strip-unneeded
-
-
-#--- Internal stuff from here -----------------------------------
-
-CXXFLAGS=$(OPTIMISE) $(WARNINGS) -D_THREAD_SAFE -D_REENTRANT
-
-LDFLAGS=-L/usr/X11R6/lib
-
-LIBS= \
-     -lfltk_images -lfltk_gl -lfltk  \
-     -lX11 -lXext -lXft -lfontconfig -lXinerama  \
-     -lpng -ljpeg -lGL -lz -lm
-
 DUMMY=$(OBJ_DIR)/zzdummy
-
-
-# support for a non-standard install of FLTK
-ifneq ($(FLTK_PREFIX),)
-CXXFLAGS += -I$(FLTK_PREFIX)/include
-LDFLAGS += -L$(FLTK_PREFIX)/lib -Wl,-rpath,$(FLTK_PREFIX)/lib
-endif
-
-# support for statically linking FLTK (no GL, local JPEG and PNG)
-ifneq ($(FLTK_STATIC),)
-LIBS= \
-     -lfltk_images -lfltk  \
-     -lfltk_png -lfltk_jpeg \
-     -lX11 -lXext -lXft -lfontconfig -lXinerama \
-     -lz -lm
-endif
 
 
 #----- Object files ----------------------------------------------
@@ -82,8 +84,12 @@
 	$(OBJ_DIR)/m_select.o  \
 	$(OBJ_DIR)/m_strings.o  \
 	$(OBJ_DIR)/m_testmap.o  \
+	$(OBJ_DIR)/m_udmf.o  \
 	$(OBJ_DIR)/r_grid.o  \
 	$(OBJ_DIR)/r_render.o  \
+	$(OBJ_DIR)/r_opengl.o  \
+	$(OBJ_DIR)/r_software.o  \
+	$(OBJ_DIR)/r_subdiv.o  \
 	$(OBJ_DIR)/sys_debug.o \
 	$(OBJ_DIR)/ui_about.o  \
 	$(OBJ_DIR)/ui_browser.o  \
@@ -117,7 +123,7 @@
 	$(OBJ_DIR)/bsp_util.o
 
 $(OBJ_DIR)/%.o: src/%.cc
-	$(CXX) $(CXXFLAGS) -o $@ -c $<
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
 
 
 #----- Targets -----------------------------------------------
@@ -144,19 +150,19 @@
 
 INSTALL_DIR=$(DESTDIR)$(PREFIX)/share/eureka
 
-install: stripped
-	install -o root -m 755 $(PROGRAM) $(DESTDIR)$(PREFIX)/bin/
+install: all
+	install -m 755 $(PROGRAM) $(DESTDIR)$(PREFIX)/bin/
 	install -d $(INSTALL_DIR)/games
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
 	rm -f $(INSTALL_DIR)/games/freedoom.ugh
-	install -o root -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
-	install -o root -m 644 defaults.cfg $(INSTALL_DIR)/defaults.cfg
-	install -o root -m 644 operations.cfg $(INSTALL_DIR)/operations.cfg
-	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
-	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
-	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
-	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
+	install -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
+	install -m 644 defaults.cfg $(INSTALL_DIR)/defaults.cfg
+	install -m 644 operations.cfg $(INSTALL_DIR)/operations.cfg
+	install -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
+	install -m 644 games/*.* $(INSTALL_DIR)/games
+	install -m 644 common/*.* $(INSTALL_DIR)/common
+	install -m 644 ports/*.* $(INSTALL_DIR)/ports
 
 full-install: install
 	xdg-desktop-menu  install --novendor misc/eureka.desktop
