=== debian/changelog ===
eureka (1.27-1) unstable; urgency=medium

  * New upstream version 1.27
  * Remove patches backported from upstream.
  * Add libgl-dev and libglu-dev to Build-Depends.
  * Apply two post-release commits from the upstream GIT repo.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper-compat to 12.
  * Rules-Requires-Root: no.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 16 Feb 2020 00:03:15 +0100

eureka (1.24-3) unstable; urgency=medium

  * Apply a commit from the upstream GIT repo, so that the "install"
    target no longer strips the binary.
    Original patch by Helmut Grohne (Closes: #928844).
  * Apply two more relevant post-release commits from the upstream GIT repo.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 13 May 2019 17:23:05 +0200

eureka (1.24-2) unstable; urgency=medium

  * Add some post-release patches from the upstream GIT repo.
  * Do not mangle any build flags anymore.
  * Remove again some superfluous Build-Depends.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 22 Sep 2018 21:27:20 +0200
