=== debian/control ===
--- 
+++ 
@@ -4,19 +4,16 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libfltk1.3-dev,
- libfontconfig1-dev,
- libgl1-mesa-dev,
- libjpeg-dev,
- libxext-dev,
- libxft-dev,
- libxinerama-dev,
+ libgl1-mesa-dev | libgl-dev,
+ libglu1-mesa-dev | libglu-dev,
  zlib1g-dev | libz-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: http://eureka-editor.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/games-team/eureka
 Vcs-Git: https://salsa.debian.org/games-team/eureka.git
+Rules-Requires-Root: no
 
 Package: eureka
 Architecture: any
