=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,6 @@
 
 %:
 	dh $@
-
-override_dh_auto_build:
-	dh_auto_build -- \
-		OPTIMISE="$(CPPFLAGS) $(CXXFLAGS)" \
-		LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- \
