## eureka 1.27b

=== debian/changelog ===
eureka (1.27b-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:48:49 +1100

eureka (1.27b-2build1) noble; urgency=high

  * No change rebuild against libfltk1.3t64, libfltk-images1.3t64,
    libfltk-gl1.3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:59:17 +0100

eureka (1.27b-2) unstable; urgency=medium

  * Condense version mangling into a single rule in debian/watch.
  * Remove purely virtual packages from Recommends.
  * Remove "--as-needed" linker flag.
  * Bump debhelper-compat to 13.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 03 Oct 2020 21:59:36 +0200

eureka (1.27b-1) unstable; urgency=medium

  * Mangle away the period in both upstream and Debian version
    strings.
  * New upstream version 1.27b
  * Remove patches backported from upstream.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 May 2020 22:26:31 +0200
