=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: eureka
 Section: utils
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libfltk1.3-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
@@ -20,7 +21,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends: freedoom | game-data-packager | boom-wad | doom-wad
+Recommends: freedoom | game-data-packager
 Description: map editor for the classic DOOM games
  Eureka is a cross-platform map editor for the classic DOOM games.
  It started as a fork of the Yadex editor attempting to make it use the
