=== debian/watch ===
version=3

opts="versionmangle=s/\.//;s/-source//" \
http://sf.net/eureka-editor/eureka-(.*)\.tar\.gz
